Bug 174540 - generic web browser and email absent/misconfigured in "Add to Panel..."
generic web browser and email absent/misconfigured in "Add to Panel..."
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 16:09 EST by Andre Robatino
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 15:52:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2005-11-29 16:09:41 EST
Description of problem:
  When attempting to reconstruct default top panel from scratch, the icons for
generic web browser and generic email either aren't in the menu or are
configured wrong.

Version-Release number of selected component (if applicable):
gnome-panel-2.10.1-10.2

How reproducible:
always

Steps to Reproduce:
1.  Delete top panel.
2.  Add new top panel, and try to add the icons for generic web browser and
email by selecting "Add to Panel..."
  
Actual results:
  Icon for generic web browser (/usr/share/pixmaps/redhat-web-browser.png) isn't
in the menu, just the one for Firefox specifically.  The icon for generic email
(/usr/share/pixmaps/redhat-email.png) IS in the menu, but is configured wrong -
the only application listed for it is Evolution, not the generic script that is
used to launch any email application.

Expected results:
  Should be able to reconstruct original panel without any hassle.

Additional info:
  This was necessitated by disabling and then reenabling selinux.  An error "No
volume control elements and/or devices found." appears when logging in, and the
volume control in the top panel is gone.  Some googling suggests that the only
way to fix this is to delete and then reconstruct the top panel.
  This may be the wrong component for this bug.  If so, please reassign.  Thanks.
Comment 1 Ray Strode [halfline] 2006-08-04 15:52:11 EDT
Well, the easiest way to go back to defaults is to

gconftool-2 --recursive-unset /apps/panel

instead of trying to readd each individual icon.

It might be nice, though, if there was a way exposed in the UI to acheive the
same effect.

If you'd like to see that feature, would you mind filing an upstream bug report at 

http://bugzilla.gnome.org
?


Note You need to log in before you can comment on or make changes to this bug.